org.apache.tinkerpop.gremlin.server.util

## Class DefaultTemporaryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tinkerpop.gremlin.server.util.DefaultTemporaryException

- All Implemented Interfaces:
    Serializable, TemporaryException

      public final class DefaultTemporaryException
      extends Exception
      implements TemporaryException

  This is a default `TemporaryException` implementation that server implementers could use if they wished to indicate retry operations to the client. It is an overly simple class meant more for testing than be extended and providers are encouraged to tag their own exceptions more directly with the `TemporaryException` interface or to develop their own.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTemporaryException()`
    `DefaultTemporaryException(String message)`
    `DefaultTemporaryException(String message, Throwable cause)`
    `DefaultTemporaryException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
    `DefaultTemporaryException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTemporaryException

          public DefaultTemporaryException()

    - #### DefaultTemporaryException

          public DefaultTemporaryException(String message)

    - #### DefaultTemporaryException

          public DefaultTemporaryException(String message,
                                           Throwable cause)

    - #### DefaultTemporaryException

          public DefaultTemporaryException(Throwable cause)

    - #### DefaultTemporaryException

          public DefaultTemporaryException(String message,
                                           Throwable cause,
                                           boolean enableSuppression,
                                           boolean writableStackTrace)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.